/*
Theme Name: AOD
Theme URI: https://wordpress.org/themes/twentytwentythree
Author: HARVEST
Author URI: https://wordpress.org
Description: Twenty Twenty-Three is designed to take advantage of the new design tools introduced in WordPress 6.1. With a clean, blank base as a starting point, this default theme includes ten diverse style variations created by members of the WordPress community. Whether you want to build a complex or incredibly simple website, you can do it quickly and intuitively through the bundled styles or dive into creation and full customization yourself.
Requires at least: 6.1
Tested up to: 6.1
Requires PHP: 5.6
Version: 1.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
Text Domain: twentytwentyfour
Template: twentytwentyfour
Tags: one-column, custom-colors, custom-menu, custom-logo, editor-style, featured-images, full-site-editing, block-patterns, rtl-language-support, sticky-post, threaded-comments, translation-ready, wide-blocks, block-styles, accessibility-ready, blog, portfolio, news
*/
@import url("https://use.typekit.net/tfi1ifj.css");


:where(.wp-site-blocks *:focus) {
    outline-width: inherit;
    outline-style: inherit;
}

:root :where(.wp-block-post-content a:where(:not(.wp-element-button))){
	color: var(--wp--preset--color--black);
}

.admin-bar .wp-site-blocks,
.admin-bar header {
	margin-top: 32px;
}

html,
body {
	overflow-x: hidden !important;
	width: 100% !important;
	overscroll-behavior: none;
	min-height: 100vh;
	color: var(--wp--preset--color--tertiary);
}

a,
a:focus,
a:active {
	outline: 0 !important;
}

a:hover {
	text-decoration: none !important;
}

.wp-block-navigation a:where(:not(.wp-element-button)):focus,
.wp-block-post-title a:where(:not(.wp-element-button)):focus,
.wp-block-site-title a:where(:not(.wp-element-button)):focus,
a:where(:not(.wp-element-button)):focus {
	text-decoration: none;
}

strong {
	font-weight: 700 !important;
}

.wp-block-post-title {
	word-break: inherit !important;
}

header {
	position: fixed;
	width: 100%;
	z-index: 99999;
	transition: 0.4s all ease-in-out;
	top: 0;
	z-index: 999;
}

header .heading,
.heading1,
.ariane {
	transition: 0.3s all ease-in-out;
}

.ariane {
	z-index: 1 !important;
}

header .main {
	background-color: transparent;
	transition: 0.4s all ease-in-out;
}

header.scrolled.down .main {
	background-color: rgba(27, 19, 36, 0.73);
	backdrop-filter: blur(10px);
}



header.scrolled.down .heading1 {
	margin-top: -50px !important;
}

header.scrolled.down,
header.scrolled.up {
	.ariane {
		opacity: 0;
		visibility: hidden;
	}
}

header.scrolled.up .main {
	background-color: rgba(27, 19, 36, 0.73);
	backdrop-filter: blur(10px);
}

header.scrolled.up .main {
	backdrop-filter: blur(10px);
}

.home .ariane {
	display: none;
}

:not(.wp-admin) .wp-block-cover-image .wp-block-cover__inner-container {
	z-index: inherit !important;
}

:not(.wp-admin) .bgAnim {
	position: absolute;
	top: 0;
	z-index: 1 !important;
	opacity: 0.4;
}

:not(.wp-admin) .profil .bgAnim {
	position: absolute;
	top: -150px;
	z-index: 0 !important;
	transform: rotate(90deg);
}

.rotate {
	transform: rotate(90deg);
}

:not(.wp-admin) .wp-block-cover__inner-container .wp-block-group,
.wp-block-cover__inner-container .wp-block-group .wp-block-columns {
	z-index: 3 !important;
}

.page-template-default .wp-block-cover {
	overflow: visible;
}

.bien {
	margin-top: -10% !important;
	z-index: 1;
}

.equipe {
	margin-top: -350px !important;
	z-index: 1;
	position: relative;
	right: -160px;
}

.equipe figure {
	z-index: 1;
}

.bcontact .wp-block-button {
	margin-bottom: -25px;
	z-index: 10;
	position: relative;
}

.logoZ {
	z-index: 3;
	position: relative;
}


.tiled-gallery__item {
	padding: 1rem;
}

.current-menu-item a {
	color: white !important;
}


.accordion {
	width: 250px;
	margin: 15px;
	box-shadow: 0 8px 17px rgba(0, 0, 0, .2);
}

.accordion-menu {
	transition: 0.4s all ease-in-out;
	color: white;
	padding: 20px 20px;
	cursor: pointer !important;
	user-select: none;
	position: relative;
	border-bottom: 1px solid var(--wp--preset--color--secondary);
	background: linear-gradient(1turn, var(--wp--preset--color--secondary), var(--wp--preset--color--base));
	border-radius: 10px;
}

.accordion-menu:before {
	text-align: center;
	position: absolute;
	right: 20px;
	width: 20px;
	content: "+";
}

.accordion-menu.active:before {
	content: "-";
}


.accordion-menu.active,
.accordion-menu:hover {
	color: white !important;
}

.accordion-menu img {
	transition: all ease-in-out .5s;
}

.accordion-menu:hover img {
	transform: scale(1.1);
}


.accordion-content {
	padding: 20px;
	height: 0;
	overflow: hidden;
	font-size: 14px;
	/*   width: 60%; */
}

.accordion-content.expanded {

	height: 0;
	overflow: hidden;
}

.accordion-plus,
.accordion-minus {
	position: absolute;
	top: 7px;
	right: 8px;
}

p {
	margin: 10px;
}

.selected {
	color: white !important;
}

.exp .line {
	transition: all ease-in-out .5s;
	cursor: pointer;
	transform-origin: left;
}

.exp .line:hover {
	transform: scale(1.1);
}

.exp .line {
	transition: all ease-in-out .5s;
}

.rotator h2 {
	color: white;
	perspective: 500px;
	min-width: 550px;
	transform: translateY(-50%);
	position: absolute;
	text-indent: 3;
	font-size: 4rem;
	font-weight: 200;

	&.light> {
		color: white;
	}

	&.shadow {
		color: black;
		opacity: .95;
	}
}

nav,
footer,
main {

	a {
		position: relative;
	}
	
	.dlink{
		margin-top: inherit;`
		margin-bottom: inherit;
	}

	.dlink a {
		border-radius: 10px;
	}

	a.wp-block-tiptip-hyperlink-group-block {
		transition: all 400ms;
	}

	a:not(.wp-block-tiptip-hyperlink-group-block, .wp-block-button__link) {
		text-decoration: none;
		background:
			linear-gradient(0.25turn, var(--wp--preset--color--secondary), var(--wp--preset--color--black), var(--wp--preset--color--base)),
			linear-gradient(0.25turn, var(--wp--preset--color--secondary), var(--wp--preset--color--black), var(--wp--preset--color--base));
		background-size: 0% 1px, 0 1px;
		background-position: 100% 100%, 0 100%;
		background-repeat: no-repeat;
		transition: all 400ms;

		& span {
			transition: all 400ms;
		}

		&:hover {
			span {
				color: white;
			}

			color: white;
			background-size: 0 1px,
			100% 1px;

		}
	}

}

.raccourics {
	a {
		transition: all 400ms;
	}

	a:hover {
		color: white !important;
		background-size: 0 1px, 100% 1px;
		transform: scale(1.1);

	}
}

.wp-block-button__link,
.contact a {
	transition: all .35s;
}

.wp-block-button__link:hover,
.contact a:hover {
	background-color: white !important;
	color: var(--wp--preset--color--base) !important;
}



.intro .degrade {
	display: block;
	background: var(--wp--preset--gradient--aod);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-size: 200% 200%;
	background-position: 50% 50%;
	white-space: nowrap;
	transition: background-position ease-in-out 10s;
}

/*
.test.degrade{
	display: block;
	background: var(--wp--preset--gradient--aod);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	 background-size: 200% 200%;
       background-position: 50% 50%;
      white-space: nowrap;
      transition: background-position ease-in-out 2s;
}
*/

/* === 1) Animation CSS du dégradé === */
@keyframes scrollHorizontal {

	/* On déplace le background-position X de 0% à 100%, Y fixe à 50% */
	0% {
		background-position: -100% 50%;
	}

	100% {
		background-position: 100% 50%;
	}
}


/* === 4) Appliquer l’animation quand on n’est PAS en hover sur le parent === */
.intro .degrade {
	animation: scrollHorizontal 6s linear infinite;
	/* Important : on force la position Y à 50% pendant l’animation */
	/* (la keyframe gère déjà 0%→100% sur X, et Y reste à 50%) */
}

.degrade {
	/* 	display: inline-block; */
	background: var(--wp--preset--gradient--ocres);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.quote-2 {
	margin-top: 0px;
	font-size: 5vh;
	line-height: 5vh;
	overflow: hidden;

}

.quote-2 div {
	background: var(--wp--preset--gradient--custom-quote);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.split-line {
	overflow: hidden;
}

.split-parent {
	overflow: hidden;
}

.wp-block-spacer {
	background: var(--wp--preset--gradient--aod);
}


.logoAOD img {
	z-index: 2;
	position: relative;
}

.logoAOD.anim:before {
	transition: all 3s 0.5s;
	backdrop-filter: blur(10px);
	opacity: 0;
	transform: matrix(1, 0, -1, 1, 110, 0);
}

.logoAOD.anim.active-trigger:before {
	transform: matrix(1, 0, 0, 1, 0, 0);
	opacity: 1;
}

.logoAOD:before {
	content: "";
	display: block;
	position: absolute;
	background-image: url(img/shadow.png);
	width: 422px;
	height: 286px;
	bottom: -30px;
	left: -160px;
	z-index: 1;
}

.wrap figure {

	width: 19vh;
	/*   aspect-ratio: 1 / 1; */
	border-radius: 50%;
	overflow: hidden;
	background-color: white;
}

.wrap figure img {
	padding: 10%;
	width: 100% !important;
	height: 100%;
	object-fit: scale-down !important;
}

.wrap {
	overflow: visible;
}

:root :where(.wp-block-social-links .wp-social-link a) {
	padding: 0 !important;
}

.translate {
	position: absolute;
	right: 0
}

.blockNews .wp-block-group {
	overflow: hidden;

}

#google_language_translator select.goog-te-combo {
	z-index: 999;
	background-color: var(--wp--preset--color--base);
	color: var(--wp--preset--color--contrast) !important;
	border: 1px solid var(--wp--preset--color--secondary) !important;
	border-radius: 5px !important;
}


.type-city a .wp-block-cover,
.type-city a .wp-block-group .wp-block-group,
.type-city a h3,
.wp-block-site-logo,
.pilot-site a .wp-block-cover,
.pilot-site a h3 {
	transition: all .45s;
}

.type-city a:hover .wp-block-cover,
.type-city a:hover .wp-block-cover,
.pilot-site a:hover .wp-block-cover {
	transform: scale(1.1);
}

.pilot-site a:hover .wp-block-cover {
	transform: scale(0.9);
}

.type-city a:hover .wp-block-group .wp-block-group,
.type-city a:hover h3,
.pilot-site a:hover h3 {
	transform: scale(0.9);
}


.wp-block-site-logo:hover {
	transform: scale(1.1);
}

.page-template-page-news footer .news {
	display: none;
}

.linkedin {
	display: block;
}

.contact-form input[type=email],
.contact-form input[type=number],
.contact-form input[type=tel],
.contact-form input[type=text],
.contact-form input[type=url] {
	margin: 5px;
	width: 99%;
}

.thematics .wp-block-group{	
	margin-top: inherit;
	margin-bottom: inherit;
}



.wp-element-button {
	display: inline-block;
	padding: .75rem 1.25rem;
	border-radius: 10rem;
	text-transform: uppercase;
	font-size: 1rem;
	letter-spacing: .15rem;
	transition: all .3s;
	position: relative;
	overflow: hidden;
	z-index: 1;

	&:after {
		content: '';
		position: absolute;
		bottom: 0;
		left: 0;
		width: 200%;
		height: 100%;

		z-index: -2;
	}

	&:before {
		content: '';
		position: absolute;
		bottom: 0;
		left: 0;
		width: 0%;
		height: 100%;
		background: var(--wp--preset--gradient--ocres);
		transition: all .3s;

		z-index: -1;
	}

	&:hover {

		&:before {
			width: 100%;
		}
	}
}

.wp-block-search__button{
	padding-top: inherit !important;
    padding-right: inherit !important;
    padding-bottom: inherit !important;
    padding-left: inherit !important;
	padding: .75rem 1.25rem !important;
	border-radius: 10rem !important;
}
.cookies-per-purpose div{
	background-color: var(--wp--preset--color--base) !important;
}

@media (min-width: 650px) {

	header.scrolled.down .heading {
		padding-top: 5px !important;
		padding-bottom: 5px !important;
	}

	.wp-block-query:not(.blockNews) .wp-block-post-template.is-layout-grid,
	.page-id-740 .is-layout-grid {

		grid-template-columns: repeat(6, 1fr);
		grid-template-rows: 50% 50%;
		padding: 10px;
		grid-gap: 20px;
	}

	.wp-block-query:not(.blockNews) .wp-block-post-template.is-layout-grid .wp-block-post,
	.page-id-740 .is-layout-grid a {
		text-align: center;
		grid-column: span 2
	}

	.wp-block-query:not(.blockNews) .wp-block-post-template.is-layout-grid .wp-block-post:nth-child(4),
	.page-id-740 .is-layout-grid a:nth-child(4) {
		grid-column: 2 / span 2;
	}

	.partners a {
		width: 120%;
	}

}


@media (max-width: 650px) {

	.partners {
		display: inherit !important;
	}


	.reverse {
		flex-direction: column-reverse;
	}

	.accordion-menu {
		display: block !important;

		.picto {
			width: 133px;
		}
	}

	.home .wp-block-cover__inner-container {
		.has-afronaut-font-family {
			font-size: 3.5rem !important;
		}

		.wp-block-group {
			padding: 4% 0px;
			margin: 1% 0px !important;
		}

		.wp-block-heading {
			padding: 0px 5%;

			h2 {
				font-size: 3rem;
			}
		}

	}

	.wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
		background-color: var(--wp--preset--color--base);
		color: white;
		height: 100%;
		z-index: 990;
	}

	.wp-block-navigation__responsive-container.is-menu-open ul {
		align-items: center !important;
		width: 100%;
	}

	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
		align-content: center !important;
	}

	.wp-block-navigation__responsive-container {
		background-color: var(--wp--preset--color--base) !important;
	}

	nav.wp-block-navigation-item {
		color: white !important;
		text-align: center !important;
		font-size: 1.5rem !important;
	}

	.wp-block-navigation__responsive-container-content span {
		color: white !important;
		font-weight: bold;
		font-size: 2rem !important;
		font-weight: 200;
		text-indent: 3px;
	}

	.wp-block-navigation.items-justified-right {
		--navigation-layout-justify: none !important;
		text-align: center;
		--navigation-layout-justification-setting: none !important;
	}

	.wp-block-navigation__responsive-container-close svg,
	.wp-block-navigation__responsive-container-open svg {
		fill: white !important;
	}


	header.scrolled.up .main {
		backdrop-filter: none;
	}

}